### Method

# Gtk ComboBoxpopup_for_device

deprecated: 4.10

#### Declaration [src]

    void
    gtk_combo_box_popup_for_device (
      GtkComboBox* combo_box,
      GdkDevice* device
    )

#### Description [src]

Pops up the menu of `combo_box`.

Note that currently this does not do anything with the device, as it was previously only used for list-mode combo boxes, and those were removed in GTK 4. However, it is retained in case similar functionality is added back later.

Deprecated since: 4.10

Use `GtkDropDown`

#### Parameters

`device`

  Type: `GdkDevice`

  A `GdkDevice`

  The data is owned by the caller of the method.